org.cybergarage.util

## Class StringUtil

- java.lang.Object
- - org.cybergarage.util.StringUtil

    public final class StringUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StringUtil()`

### Method Summary

Methods
`static int` `findFirstNotOf(String str, String chars)`
`static int` `findFirstOf(String str, String chars)`
`static int` `findLastNotOf(String str, String chars)`
`static int` `findLastOf(String str, String chars)`
`static int` `findOf(String str, String chars, int startIdx, int endIdx, int offset, boolean isEqual)`
`static boolean` `hasData(String value)`
`static int` `toInteger(String value)`
`static long` `toLong(String value)`
`static String` `trim(String trimStr, String trimChars)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringUtil

    public StringUtil()

### Method Detail

#### hasData

    public static final boolean hasData(String value)

#### toInteger

    public static final int toInteger(String value)

#### toLong

    public static final long toLong(String value)

#### findOf

    public static final int findOf(String str,
             String chars,
             int startIdx,
             int endIdx,
             int offset,
             boolean isEqual)

#### findFirstOf

    public static final int findFirstOf(String str,
                  String chars)

#### findFirstNotOf

    public static final int findFirstNotOf(String str,
                     String chars)

#### findLastOf

    public static final int findLastOf(String str,
                 String chars)

#### findLastNotOf

    public static final int findLastNotOf(String str,
                    String chars)

#### trim

    public static final String trim(String trimStr,
              String trimChars)